Subject: New MenuImplementation does not give current state to homepage
Description

For the usecase where the homepage is a shortcut to the parent page (with content on the site root) the new MenuImplementation
gives unexpected states:
If on homepage
    -  All menu items have a normal state
If on subpage
    -  Homepage has state 'active' (as the homepage shortcut points to the siteroot which is in the rootline)
    -  The subpage currently in the rootline (for example 'about us') also has active state

I'm now sending a patch that fixes the first situation (and as such giving current state to the homepage if the homepage is opened).
The second usecase will have to be done with conditions in the template for now.

Associated revisions
Revision 2be0a4b5 - 2014-02-27 12:29 - Rens Admiraal

[BUGFIX] Shortcut to siteroot has no active state

The new menu implementation returns a state normal for
nodes equal to the siteroot. This prevents a menu which
contains a shortcut to the homepage to render an active
state.

A menu could now render an active state on the shortcut
to the homepage by for example using a custom node type
for the homepage and adding the following condition:

&lt;f:if condition="{item.node.nodeType.name}  'My.Package:Homepage'">
      &lt;f:then&gt;
          &lt;li class="{f:if(condition:'{item.state}\'current\'', then:'active')}">
              &lt;neos:link.node node="{item.node}"&gt;{item.label}&lt;/neos:link.node&gt;
          &lt;/li&gt;
      &lt;/f:then&gt;
      &lt;f:else&gt;
          ...
      &lt;/f:else&gt;
  &lt;/f:if&gt;
Revision ff7cf76a - 2014-02-27 15:32 - Rens Admiraal

[BUGFIX] Shortcut to siteroot has no active state

The new menu implementation returns a state normal for
nodes equal to the siteroot. This prevents a menu which
contains a shortcut to the homepage to render an active
state.

A menu could now render an active state on the shortcut
to the homepage by for example using a custom node type
for the homepage and adding the following condition:

&lt;f:if condition="{item.node.nodeType.name}  'My.Package:Homepage'">
      &lt;f:then&gt;
          &lt;li class="{f:if(condition:'{item.state}\'current\'', then:'active')}">
              &lt;neos:link.node node="{item.node}"&gt;{item.label}&lt;/neos:link.node&gt;
          &lt;/li&gt;
      &lt;/f:then&gt;
      &lt;f:else&gt;
          ...
      &lt;/f:else&gt;
  &lt;/f:if&gt;
History
#1 - 2014-02-15 16:57 - Rens Admiraal

Mentioned patch: https://review.typo3.org/#/c/27541/

#2 - 2014-06-20 16:58 - Christian Müller
- Status changed from New to Resolved
